dhelp (0.6.21+nmu7) unstable; urgency=medium

  * Non-maintainer upload.
  * Properly orphan the package.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Dec 2016 11:15:51 +0100

dhelp (0.6.21+nmu6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Fails to build the index when invalid UTF-8 is met":
    apply patch from Daniel Getz:
    + Load files as UTF-8, regardless of $LANG
    (Closes: #768127)

 -- gregor herrmann <gregoa@debian.org>  Fri, 12 Dec 2014 22:02:20 +0100

dhelp (0.6.21+nmu5) unstable; urgency=medium

  * Non-maintainer upload.
  * Update French program translation (Closes: #684664)
  * Update Russian program translation (Closes: #688667)
  * Update German program translation (Closes: #689063)
  * Add Danish program translation (Closes: #689644)
  * Add Italian program translation (Closes: #689920)
  * Add Portugese program translation (Closes: #724781) 

 -- Helge Kreutzmann <debian@helgefjell.de>  Thu, 02 Oct 2014 12:38:19 +0200

dhelp (0.6.21+nmu4) unstable; urgency=low

  * Non-maintainer upload.
  * Add support for newer ruby versions (Closes: #734523, #732916)
  * Cache 'Dpkg.status' calls to not affect performance on every system
      upgrade (Closes: #712621)
  * Handle correctly arguments passed to '-a' and '-d' options
  * Fix error when 'dhelp_parse' is called without arguments
  * Fix Ruby warnings
  * Change the encoding of Ruby files to UTF-8

 -- David Suárez <david.sephirot@gmail.com>  Sun, 18 May 2014 13:18:39 +0200

dhelp (0.6.21+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix apache2 2.4 issues: install different config files into
    /etc/apache2/conf.d and /etc/apache2/conf-available (for versions 2.2
    and 2.4 respectively), and call apache2-maintscript-helper with
    correct parameters (Closes: #718588)

 -- Julian Gilbey <jdg@debian.org>  Sun, 22 Sep 2013 11:07:22 +0100

dhelp (0.6.21+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Change build and runtime dependency from libgettext-ruby1.8 to
    ruby-gettext. Closes: #707686

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 May 2013 17:58:05 +0200

dhelp (0.6.21+nmu1) unstable; urgency=low

  * Non-Maintainer Upload
  * Dropped the declaration of dependence on ruby-commandline, which was
    already done on the code

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 02 Jul 2012 12:16:40 -0500

dhelp (0.6.21) unstable; urgency=low

  * New maintainer: Georgios M. Zarkadas <gz@member.fsf.org> (Closes: #650441). 
  * Support other web servers in addition to apache2 (Closes: #669041).
  * Support apache2 packaging transition for version 2.4 (Closes: #669758).
  * Support new ruby packaging policy transition for Wheezy.
  * Use OptionParser instead Commandline::Application (Closes: #678055).
    Thanks Gunnar Wolf.
  * Support new layout of man2html cgi scripts for Wheezy.
  * Keep supporting previous policies/layouts, either during build time or
    during runtime, to aid backporting.
  * Man and info pages links are activated only if associated packages are
    installed on the system.
  * Subsections now show in the sections list only if section is selected.
  * New color, styles and icons themes.
  * Package installation now does not fail if cache data cannot be generated
    during install.
  * Fix some minor lintian warnings.
  * Bump Standards-Version to 3.9.3.

 -- Georgios M. Zarkadas <gz@member.fsf.org>  Tue, 12 June 2012 21:50:00 +0300

dhelp (0.6.20) unstable; urgency=low

  [ Georgios M. Zarkadas ]
  * New co-maintainer: Georgios M. Zarkadas <gz@member.fsf.org>. 
  * Fix incomprehensible error messages in dhelp cron output; now the
    document's filename is reported (Closes: #561883).
  * Fix unsorted documents in the section index; they are now sorted
    on title (Closes: #567889).
  * Fix running the indexer on each individual package install; now the
    indexing is deferred until the end of installation (Closes: #615900).
  * Fix removing an unrelated directory from the postrm script; this
    legacy code has now been removed (Closes: #642273).
  * Added Greek translation (Closes: #641917).
  * Bump Standards-Version to 3.9.1.

  [ Esteban Manchado Velázquez ]
  * Sponsor the upload :-)

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 13 Oct 2011 00:08:15 +0200

dhelp (0.6.19) unstable; urgency=low

  * Fix URI escaping (Closes: #583349). Thanks John Gruenenfelder.
  * Bump Standards-Version to 3.8.4.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 30 May 2010 20:04:19 +0200

dhelp (0.6.18) unstable; urgency=low

  * Change xpdf-utils dependency to poppler-utils (Closes: #550656). Thanks
    Moritz Muehlenhoff.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 08 Nov 2009 14:47:55 +0100

dhelp (0.6.17) unstable; urgency=low

  * Take into account index files when registering directories.
  * Added Indonesian translation (thanks Atoz Chevara).
  * Match 'localhost' instead of IPs in Apache config files (Closes: #526010).
    Thanks Stefano Zacchiroli.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 03 May 2009 17:15:05 +0200

dhelp (0.6.16) unstable; urgency=low

  * Include Apache configuration file to limit dhelp CGI access to localhost.
  * dhelp_fetcher: Don't give hints about which files exist in the filesystem
  * Be smarter about indexing: check if the documents are already registered,
    and only index if they weren't. This will skip indexing for package
    upgrades, but will keep it for installation of new packages.
  * Follow symlinks when indexing.
  * Add a simple verbose option to dhelp_parse.
  * Take the package version from the changelog, instead of checking that the
    version in the changelog and the one in the Makefile are in sync. This
    avoids FTBFS for binary-only NMUs (Closes: #521910).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 05 Apr 2009 18:48:01 +0200

dhelp (0.6.15) unstable; urgency=low

  * Don't depend on libdb4.2-ruby1.8 (transitional package) (Closes: #496682).
    Thanks Thomas Viehmann and Scott Kitterman.
  * Capitalise all sections properly (Closes: #502557).
  * Fix encoding issues. Assume UTF-8 locale though (Closes: #491971).
  * Change WordThreshold to 50000. It's better for low memory machines, and
    both dwww and man2html are using that setting (Closes: #471558). Thanks
    Stellan Klebom.
  * Fix issues flagged by lintian: Depend on ${misc:Depends} (because of
    debhelper), call dhelp_parse without using absolute paths and bump
    Standards-Version to 3.8.1.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Tue, 17 Mar 2009 19:01:58 +0100

dhelp (0.6.14) unstable; urgency=low

  * Fix stupid typo for the previous fix, that made the weekly cron job not
    being able to regenerate the documentation (Closes: #502813).
  * Make the utility for indexing documentation a bit more robust, so it can
    cope with existing, but empty, indexes.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Mon, 20 Oct 2008 22:31:06 +0200

dhelp (0.6.13) unstable; urgency=low

  * Not index documents on upgrade, to prevent dhelp blocking the
    upgrade for hours (Closes: #487722).
  * Add some small utilities to index by hand, because of the above change.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 02 Oct 2008 00:50:47 +0200

dhelp (0.6.12) unstable; urgency=low

  * Switch from pstotext to pdftotext from xpdf-utils for PDF files. It
    seems much more reliable (less "random" errors when parsing documents).
    Hopefully closes: #475655.
  * Use /var/lib/dhelp/tmp instead of /var/tmp for temporary files, to avoid
    possible security issues (thanks Laurent Bonnaud).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Wed, 23 Jul 2008 01:49:55 +0200

dhelp (0.6.11) unstable; urgency=low

  * Don't panic even if the document doesn't declare any files (???). Also add
    some useful debug information if that happens (Closes: #490577).
  * Bump Standards-Version to 3.8.0.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 20 Jul 2008 20:14:22 +0200

dhelp (0.6.10) unstable; urgency=low

  * Handle nil in uri_escape (hopefully closes: #487722).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Tue, 24 Jun 2008 23:39:03 +0200

dhelp (0.6.9) unstable; urgency=low

  * Update French translation (Closes: #481069). Thanks Steve Petruzzello.
  * Update documentation (OMG horribly outdated OMG).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 29 May 2008 22:56:06 +0200

dhelp (0.6.8) unstable; urgency=low

  * The "UTF-8 FTW" release.
  * Change HTML pages encoding to UTF-8.
  * Force HTML exporter to output UTF-8.
  * Force dsearch to output UTF-8.
  * Add initial French translation (Closes: #458836). Thanks David Kremer and
    Christian Perrier!
  * Add initial Russian translation (Closes: #466090). Thanks Yuri Kozlov!
  * Add initial German translation (Closes: #466263). Thanks Helge Kreutzmann!
  * Add initial Basque (Euskera) translation. Thanks Piarres Beobide!
  * Strip accepted languages from the browser correctly.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 24 Feb 2008 19:33:12 +0100

dhelp (0.6.7) unstable; urgency=low

  * Refactor to fix a bug in which newly added documents wouldn't have their
    directories registered, so you couldn't see the registered documentation
    from the documentation directory.
  * Fix a bug with PDF documents given as a glob (e.g. xapian-apidocs
    specifies its PDF version as ".../apidoc.pdf*", so it works with both
    apidoc.pdf and apidoc.pdf.gz).
  * Make dhelp_parse accept multiple arguments for -a and -d again.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 14 Feb 2008 00:15:22 +0100

dhelp (0.6.6) unstable; urgency=low

  * Don't show in the directory any documents that don't have any supported
    format.
  * Add "DVI" to supported formats for the documentation directory.
  * Add firefox to Recommends, for Ubuntu compatibility (Closes: #454517).
  * Bump debhelper compatibility level to 5.
  * Use /var/tmp for temporary files (Closes: #458546).
  * Behave with doc-base (in particular, install-docs). Now parameters to -a
    and -r options in dhelp_parse are interpreted as what they are now:
    doc-base file paths.
  * Don't choke with missing "Files" field (Closes: #455731).
  * Bump Standards-Version to 3.7.3
  * Remove bashism in Makefile (Closes: #463582).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 03 Feb 2008 17:10:10 +0100

dhelp (0.6.5) unstable; urgency=low

  * Index *.pdf and *.txt. Otherwise, it seems only PDF files are indexed.
  * Add a rule for converting PS files to text prior to indexing.
  * Move pstotext to dependencies, because it is needed for indexing.
  * Add dhelp_fetcher.rb, a script to get the contents of a doc-base
    registered documentation file. It uncompresses PDF and PS files for easy
    viewing inside a browser.
  * Only index files, never directories (directories can be specified
    implicitly by a glob, but those aren't part of the documentation).
  * Fix a couple of problems on upgrade (Closes: #452873).
  * Fix some issues with offline mode.
  * Fix subsubsections in the generated documentation directory.
  * Add a hack to avoid 3rd party error messages at installation time.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 06 Dec 2007 18:03:40 +0100

dhelp (0.6.0) unstable; urgency=low

  * Changed all the indexing system so it now searches in the registered
    document, instead of in the HTML directory generated by dhelp.
  * Make .dhelp files obsolete, just use doc-base files directly. They contain
    more information, maintenance is easier over all (we get rid of pointless
    conversions), and we get rid of bugs
    (Closes: #19076, #429233, #334789, #347980, #155054, #177668, #19076).
  * Clean up dhelp.pot file weirdness (Closes: #448211).
  * Removed the hardcoded HTML in favour of using templates, redesign the
    appearance of all pages, and made all those templates translatable to
    different languages using gettext.
  * Added configuration file to specify directories to search for doc-base
    files (Closes: #81405).
  * Add a special, "all" section with all the documents (Closes: #188258).
  * Show relevant portions of the results when searching (Closes: #272953).
  * Order sections (Closes: #283402).
  * Remove remaining debconf traces. Apart from not being used anymore, it was
    making the postinst wait for the indexing even if it was run in the
    background.
  * Depend on swish++ instead of just recommending it.
  * Recommend or suggest different packages that give preview on search
    results
  * Change mozilla-firefox dependency to iceweasel.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 25 Nov 2007 20:00:58 +0100

dhelp (0.5.25) unstable; urgency=low

  * Maintainer change.
  * Rewrite dhelp_parse in Ruby. This fixes some bugs and avoids many problems
    (Closes: #21678, #268487, #62454, #312950, #442943, #444429, #193428).
  * This release should be a drop-in replacement for the C version, and still
    uses the same database and internal format.
  * It also adds a Ruby library, to allow other developers to write other
    programs that read and/or update the dhelp databases.
  * Use "http://localhost" for CGI script URLs (Closes: #114588).
  * Removed misleading dot from example (Closes: #381804).
  * Uses sensible-browser instead of having its own configuration system
    (Closes: #146002, #162518, #381805, #217162, #430590).
  * Clean up the HTML a bit (Closes: #438973, #134567, #115306).
  * Remove references to obsolete script dh_dhelp (Closes: #369459).
  * Raise title limit from 49 to 100 characters (Closes: #102393).
  * Depend on doc-base, to make sure packages have their documentation
    available for dhelp (Closes: #314733, #368035).
  * Wait a couple of seconds before exiting, after a fatal error, to make sure
    the user can read the error message (Closes: #35097).
  * Make documentation index files world-readable, regardless of current umask
    (Closes: #158792, #430474, #430505).
  * Remove obsolete script dhelp2dwww.pl, and references to it
    (Closes: #364245).
  * Remove "dangerous" environment variables from dsearch, to avoid taint
    problems (Closes: #389944).
  * Strip blanks from .dhelp field values (Closes: #133218).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sat, 20 Oct 2007 17:35:26 +0200

dhelp (0.5.24-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build against libdb4.5-dev (Closes: 282172).
  * Update build-system.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 20 Jul 2007 16:17:52 +0200

dhelp (0.5.24) unstable; urgency=low

  * updated Vietnamese translation of debconf templates (Closes: #397099,
    thanks to Clytie Siddall <clytie@riverland.net.au>)
  * added Romanian translation of debconf templates (thanks to Eddy
    Petrisor <eddy.petrişor@gmail.com>)
  * added Russian translation of debconf templates (Closes: #343843,
    thanks to Yuri Kozlov <kozlov.y@gmail.com>)
  * added Swedish translation of debconf templates (Closes: #332367,
    thanks to Daniel Nylander <yeager@lidkoping.net>)
  * added Spanish translation of debconf templates (Closes: #336068,
    thanks to César Gómez Martín" <cesar.gomez@gmail.com>)
  * switched changelog to UTF-8, fixed odd date entry
  * new FSF address in Debian copyright
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu,  9 Nov 2006 21:19:44 +0100

dhelp (0.5.23) unstable; urgency=low

  * debconf-2.0 alternative dependency added (Closes: #331801, thanks to
    Joey Hess <joey@kitenet.net> for the report)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed,  5 Oct 2005 10:00:17 +0200

dhelp (0.5.22) unstable; urgency=high

  * applied patch from Robert Harris <robert.f.harris@blueyonder.co.uk> to
    avoid segmentation faults (Closes: #330488, thanks to Daniel Schepler
    <schepler@math.berkeley.edu> for the report)
  * fixed wrong spelling in dhelp file (Closes: #31212, thanks to Esteban
    Manchado Velázquez <zoso@foton.es> for investigations)
  * added Vietnamese translation of debconf templates (Closes: #311586,
    thanks to Clytie Siddall <clytie@riverland.net.au>)
  * added Portuguese translation of debconf templates (Closes: #315874,
    thanks to Miguel Figueiredo <elmig@debianpt.org>)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 26 Aug 2005 10:10:52 +0200

dhelp (0.5.21) unstable; urgency=low

  * added Czech translation of debconf templates (Closes: #308205, thanks
    to Martin Sin <martin.sin@seznam.cz>)
  * added Japanese translation of debconf templates (Closes: #273603, thanks
    to Hideki Yamane <henrich@samba.gr.jp>)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon,  9 May 2005 14:08:46 +0200

dhelp (0.5.20) unstable; urgency=low

  * handle missing /usr/share/doc directory gracefully (Closes: #300440,
    thanks to Marc Langer <marc@marclanger.de> for the report and Gustavo
    Franco <stratus@debian.org> for the patch)
  * quote command in menu file
  * use mozilla-firefox as real package for recommends on virtual package
    www-browser

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 31 Mar 2005 20:24:45 +0200

dhelp (0.5.19) unstable; urgency=low

  * improved error messages from dsearch in respect of missing search
    engine or database (Closes: #272614, #272951, thanks to James R. Van
    Zandt <jrvz@comcast.net> for the patches)
  * updated dhelp manual page (Closes: #147727)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 23 Sep 2004 11:21:37 +0200

dhelp (0.5.18) unstable; urgency=low

  * properly untaint search specification in dsearch CGI script 
  	(Closes: #229688, #254552, thanks to  Dan Jacobson
    <jidanni@jidanni.org> and Dafydd Harries <daf@muse.19inch.net> for
    reporting)
  * added German translation of debconf templates (Closes: #252329, thanks
    to Erik Schanze <schanzi_usenet@gmx.de>)
  * added Dutch translation of debconf templates (Closes: #250233, thanks
    to Luk Claes <luk.claes@ugent.be>)
  * added Turkish translation of debconf templates (Closes: #252939,
    thanks to Recai Oktas <roktas@omu.edu.tr>)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed, 16 Jun 2004 00:26:05 +0200

dhelp (0.5.17) unstable; urgency=low

  * Recognize epiphany as X11 browser (Closes: #241536, thanks to Dan
    Korostelev <dan@ats.energo.ru> for the report)
  * Removed obsolete dh_dhelp script (Closes: #74846, #115047)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu,  1 Apr 2004 23:34:39 +0200

dhelp (0.5.16) unstable; urgency=low

  * Changed maintainer back to Stefan Hornburg (Racke) <racke@linuxia.de>
    (Closes: #210439)
  * Acknowledge bugs closed in NMUs 
    (Closes: #203082, #207793, #210657, #230351)
  * Proper handling of creation and deletion of /var/lib/dhelp also fixes
    another bug (Closes: #202213)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed, 17 Mar 2004 02:32:11 +0100

dhelp (0.5.15-0.3) unstable; urgency=low

  * Non-maintainer upload
  * *Really* apply Alexander Kogan patch.

 -- Christian Perrier <bubulle@debian.org>  Thu, 11 Mar 2004 09:07:24 +0100

dhelp (0.5.15-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Create /var/lib/dhelp in postinst. Closes: #230351
    Thanks to Alexander Kogan for the patch
  * Switch to gettext for debconf templates. Closes: #207793
  * French debconf templates translation. Closes: #210657

 -- Christian Perrier <bubulle@debian.org>  Mon,  8 Mar 2004 20:20:57 +0100

dhelp (0.5.15-0.1) unstable; urgency=low

  * Non-maintainer upload
  * dhelp_parse.c: Changed stat() to lstat() in rm_r(), thanks to
    John Belmonte <jvb@prairienet.org> (Closes: #203082)

 -- Roland Stigge <stigge@antcom.de>  Wed,  3 Sep 2003 22:16:25 +0200

dhelp (0.5.15) unstable; urgency=low

  * changing /cgi-bin/man2html to /cgi-bin/man/man2html in dhelp_parse.
    (Closes: #182864)
  * added Daniel Nouri, a good friend of mine and a amazing programmer to
    the uploaders-field in debian/control. He will help me in maintaining
    and developing dhelp in future. Thanks! :-)
  * changed "make clean" to "make distclean" in debian/rules. Thanks to
    Michael Banck for this hint.
  * added dh_fixperms to debian/rules.

 -- Daniel K. Gebhart <dkg@con-fuse.org>  Fri, 28 Feb 2003 18:51:56 +0000

dhelp (0.5.14) unstable; urgency=low

  * switching maintainer to Daniel K. Gebhart <dkg@con-fuse.org>
    (Closes: #172346)

 -- Daniel K. Gebhart <dkg@con-fuse.org>  Sat, 18 Jan 2003 20:41:39 +0200

dhelp (0.5.13) unstable; urgency=low

  * deactivated warning message on directories not included in
    /usr/share/doc/dhelp/.dhelp (Closes: #118600)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat,  7 Sep 2002 23:59:00 +0200

dhelp (0.5.12) unstable; urgency=low

  * added debconf template translation to Brazilian Portuguese 
    (Closes: #144648, thanks to Paulo R. Ormenese <pormenese@uol.com.br>)
  * modified icons to get the background color right (Closes: #147198,
    thanks to Laurent Bonnaud <Laurent.Bonnaud@inpg.fr> for reporting and
    Don Armstrong <don@donarmstrong.com> for providing the icons)
  * removed unnecessary check on search parameters (Closes: #151184)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed, 22 May 2002 02:22:55 +0200

dhelp (0.5.11) unstable; urgency=medium

  * made "other documents" link relative (Closes: #82757)
  * avoid Perl warnings if browser undefined
  * really set the defaults for console/X browsers
  * removed gnome-help-browser from list of X browsers (Closes: #143869,
  	thanks to Thomas Langen <langen@langensoft.de> for reporting it)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 21 Apr 2002 15:57:26 +0200

dhelp (0.5.10) unstable; urgency=high

  * rewritten copyright file to comply with policy (Closes: #111762)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed,  3 Apr 2002 13:36:24 +0200

dhelp (0.5.9) unstable; urgency=low

  * rewrite of the dhelp script: 
    - checks now if a WWW server listening on the localhost (Closes: #36880)
    - browser is now configurable by debconf and configuration files
      (Closes: #80218)
    - provides a --help option now (thanks to Chris Tillman
      <tillman@azstarnet.com>, Closes: #126583)
  * use .png images instead of .gif ones (Closes: #116676)
  * more comprehensive description about accessing the online
    help system in debian/control (Closes: #106957)
  * directories database, help, misc and otherosfs added to debian/dhelp
    (Closes: #119709)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 19 Mar 2002 16:43:39 +0100

dhelp (0.5.8) unstable; urgency=low

  * dsearch displays appropriate message now in case of missing search
    results (Closes: #67741, #123286)
  * made dhelp script working with search tokens again
  * removed obsolete dhelp_fsstnd

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 11 Dec 2001 15:44:16 +0100

dhelp (0.5.7) unstable; urgency=low

  * more titles added (Closes: #121279)
  * remove /usr/doc/HTML2 on postinst (again Closes: #84206)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri,  7 Dec 2001 15:36:27 +0100

dhelp (0.5.6) unstable; urgency=low

  * use Debian logo from http://www.debian.org (Closes: #46338)
  * removed outdated README.debian (Closes: #119705)
  * run dh_compress (Closes: #119759)
  * remove /usr/doc/HTML2 on purge (Closes: #84206)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 24 Nov 2001 16:52:32 +0100

dhelp (0.5.5) unstable; urgency=low

  * dsearch checks now if a search token is supplied (Closes: #34807)
  * added missing entries to dhelp's .dhelp (Closes: #117362)
  * added a warning if the title is missing 
  * typo and email address fixed in dhelp.html
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 28 Oct 2001 11:19:45 +0100

dhelp (0.5.4) unstable; urgency=low

  * images were installed in a subdirectory of /usr/share/doc/dhelp,
    so they couldn't displayed in a browser accessing the dhelp pages

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 28 Oct 2001 11:05:39 +0100

dhelp (0.5.3) unstable; urgency=low

  * fixed a number of a places to stop dhelp_parse immediately if an error
    occurs
  * stop if string after <directory> in .dhelp starts with a slash
    (Closes: #21361)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 27 Oct 2001 19:42:39 +0200

dhelp (0.5.2) unstable; urgency=low

  * call dh_installdirs to ensure that /var/lib/dhelp exists (Closes: #116490)
  * call make install instead of installing manually

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 21 Oct 2001 13:34:13 +0200

dhelp (0.5.1) unstable; urgency=low

  * chown of /var/lib/dhelp removed from postinst too (Closes: #60964)
  * removed old Debian Online Help from menu file
  * use Swish++ as search engine now (Closes: #57932, #63693, #92906, #111547)
  * moved build operations to build target (Closes: #115455)
  * CREDITS file added
  * use dh_clean instead of removing files manually
  * postinst rewritten, we no longer care about /usr/doc (Closes: #114922)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 20 Oct 2001 13:12:00 +0200

dhelp (0.5.0) unstable; urgency=low

  * automake support added
  * removed dhelp_parse_fsstnd (Closes: #89073)
  * no longer give away /var/lib/dhelp to www-data (Closes: #60964)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu,  4 Oct 2001 14:52:08 +0200

dhelp (0.3.24) unstable; urgency=low

  * Force usage of libdb3. (Closes: #112659)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon, 24 Sep 2001 13:08:33 +0200

dhelp (0.3.23.2) unstable frozen; urgency=low

  * NMU
  * include source this time.  Closes: #104805.

 -- LaMont Jones <lamont@debian.org>  Wed, 15 Aug 2001 23:45:58 -0600

dhelp (0.3.23) unstable frozen; urgency=low

  * dsearch: security fix for glimpse's temp files (#60853)

 -- Marco Budde <budde@debian.org>  Thu, 23 Mar 2000 21:42:05 +0100
	
dhelp (0.3.22) unstable frozen; urgency=low

  * dsearch: DoS security check (#60849)

 -- Marco Budde <budde@debian.org>  Tue, 21 Mar 2000 21:24:09 +0100 
	
dhelp (0.3.21) unstable frozen; urgency=low

  * dsearch: dhelp console support fixed  (#55545, #20891)

 -- Marco Budde <budde@debian.org>  Mon, 20 Mar 2000 22:24:48 +0100
	
dhelp (0.3.20) unstable frozen; urgency=low

  * installation scripts changed
  * parser bug "can't open ..." fixed
	
 -- Marco Budde <budde@debian.org>  Sat, 29 Jan 2000 17:30:33 +0100
	
dhelp (0.3.19) unstable frozen; urgency=low
	
  * alpha patch (bug report #44082) added
  * AOLserver support in dhelp (bug report #54527)
  * dsearch: sorting bug solved, new look
  * dsearch: supports /usr/doc *and* /usr/share/doc
	     -- please test this new feature --

 -- Marco Budde <budde@debian.org>  Sat, 15 Jan 2000 18:34:29 +0100
	
dhelp (0.3.18) unstable frozen; urgency=low

  * dh_dhelp
  * upload to frozen

 -- Marco Budde <budde@debian.org>  Tue,  4 Jan 2000 20:21:50 +0100
	
dhelp (0.3.17) unstable; urgency=low

  * most changes of 0.3.16 removed
  * /usr/doc/HTML is a link to /usr/share/doc/HTML
  * old packages can be found at /usr/doc/HTML2
	
 -- Marco Budde <budde@debian.org>  Mon,  3 Jan 2000 20:22:22 +0100

dhelp (0.3.16) unstable; urgency=low
	
  * dh_dhelp: support for policy 3.1.0.0
  * fsstnd/dhelp_parse.c: hacked to follow symlinks
    (policy 3.1.0.0)	
  * README in /usr/doc/HTML and /usr/share/doc/HTML added
    (bug #49793: dhelp deletes this directories)
  * documentation updated
	
 -- Marco Budde <budde@debian.org>  Fri, 31 Dec 1999 13:48:09 +0100
	
dhelp (0.3.15) unstable; urgency=low
	
  * dh_dhelp: + supports -p/-P options
	      + supports dh_installdeb 
  * dh_dhelp man page (new)
  * policy 3.1.0.0 (package itself)

 -- Marco Budde <budde@debian.org>  Mon,  8 Nov 1999 14:54:21 +0100
	
dhelp (0.3.14) unstable; urgency=low

  * new dhelp_parse_fsstnd to support FSSTND.

 -- Marco Budde <budde@debian.org>  Mon, 20 Sep 1999 18:43:09 +0200
	
dhelp (0.3.13) unstable; urgency=low

  * dhelp: support for gnome-help-browser
  * dhelp_parse.c: #include <db.h> for "old" systems
  * debian/cron.weekly: policy 3.0.0.0
  * dsearch: policy 3.0.0.0
  * man pages: policy 3.0.0.0
	
 -- Marco Budde <budde@debian.org>  Tue, 20 Jul 1999 20:36:38 +0200

dhelp (0.3.12) unstable; urgency=low
	
  * Makefile: link with db1 
  * dhelp_parse.c: #include <db/db.h>
  * Policy 3.0.x: /usr/share/doc
  * new debian/menu (bug #41140)
  * dhelp_parse.c: new look
  * dhelp: support for gzilla & amaya added
	
 -- Marco Budde <budde@debian.org>  Tue, 13 Jul 1999 15:20:09 +0200
	
dhelp (0.3.11) unstable frozen; urgency=low

  * dhelp: perl -T problem solved (bug #31211)
  * cron.weekly: cd /  (bug #30499)
  * dhelp_parse: core dump problem solved: variables to small
	         (bug #31602)
	
 -- Marco Budde <Budde@tu-harburg.de>  Sat, 23 Jan 1999 20:30:21 +0000	

dhelp (0.3.10-0.1) unstable frozen; urgency=low

  * no maintainer upload, because developer has no working
    development system
  * dhelp_parse: problems with long <linkname> solved 
  * uploader note: read the diff from 0.3.9 on ftp.debian.org.  Seems
    OK to me (auth concerns).

 -- Yann Dirson <dirson@debian.org>  Thu, 19 Nov 1998 21:57:28 +0100

dhelp (0.3.9) unstable; urgency=low

  * Danish translations

 -- Marco Budde <Budde@tu-harburg.de>  Tue, 8 Sep 1998 21:58:51 +0200

dhelp (0.3.8) unstable frozen; urgency=low

  * debian/postinst: redirect glimpse messages to /dev/null
                     (reported bug)
  * debian/control: httpd recommends -> suggests (reported bug)
                    Standards-Version: 2.4.0.1

 -- Marco Budde <Budde@tu-harburg.de>  Fri, 15 May 1998 7:21:03 +0200

dhelp (0.3.7) unstable frozen; urgency=low

  * debian/rules: create /var/lib/dhelp directory, needed to fix
                  problem between dhelp and doc-base

 -- Marco Budde <Budde@tu-harburg.de>  Fri, 24 Apr 1998 20:17:05 +0100

dhelp (0.3.6) unstable frozen; urgency=low

  * man pages: + dhelp (en,de)
               + dhelp_parse (en)
  * dhelp: + searching without httpd bug fixed
           + use local httpd (apache) if possible
           + delete existing temp file (security)       
  * dhelp_parse: fixed error in get_item(), necessary for
                 long descriptions like in doc-linux-html
  * debian/control
  * doc/dhelp2dwww.pl: new script for package maintainers
  * doc/sgml2dhelp.pl: new script for package maintainers

 -- Marco Budde <Budde@tu-harburg.de>  Sun, 5 Apr 1998 18:12:43 +0100

dhelp (0.3.5) unstable frozen; urgency=low

  * dsearch: important security bugfixes

 -- Marco Budde <Budde@tu-harburg.de>  Mon, 23 Mar 1998 20:34:29 +0100

dhelp (0.3.4) unstable; urgency=low

  * dh_dhelp: option -noleaf (NFS bug of Linux)
  * debian/dhelp
  * documentation

 -- Marco Budde <Budde@tu-harburg.de>  Wed, 11 Mar 1998 20:43:20 +0100

dhelp (0.3.3) unstable; urgency=low

  * dh_dhelp: chmod
  * bug fix: Spanish translation
  * debian/posting: run glimpse in the background
  * dsearch: French support (Yann)
  * dhelp_parse: html_w_tail() French support

 -- Marco Budde <Budde@tu-harburg.de>  Fri, 6 Mar 1998 16:54:20 +0100

dhelp (0.3.2) unstable; urgency=low

  * dsearch: bugfix
  * dh_dhelp: script for package maintainers (!!!)
  * Priority: optional
  * doc/dhelp.html: description of dh_dhelp

 -- Marco Budde <Budde@tu-harburg.de>  Fri, 27 Feb 1998 20:55:12 +0100

dhelp (0.3.1) unstable; urgency=low 

  * dhelp_parse: foreign language support in html_w_tail ()
                 (English, German, Italian, Spanish)
  * new dsearch (written in Perl) with foreign language support
    (English, German, Italian, Spanish)
  * cgiparse binary removed (i386 -> any)
  * dbugreport removed
  * debian/dhelp: titles in Italian, Spanish

 -- Marco Budde <Budde@tu-harburg.de>  Thu, 26 Feb 1998 21:04:20 +0100

dhelp (0.2.5) unstable; urgency=low

  * dhelp_parse: symlink problem #2
  * French titles (thanks Yann)
  * dhelp_parse: better error checking

 -- Marco Budde <Budde@tu-harburg.d400.de>  Sun, 1 Feb 1998 18:10:21 +0100

dhelp (0.2.4) unstable; urgency=low

  * dhelp_parse: "/usr/doc is a symbolic link" problem solved 
  * /usr/bin/dhelp: X11 WWW browser
  * documentation
  * dhelp_parse: better error checking
  * dhelp_parse: "recursive symbolic link in /usr/doc" problem solved

 -- Marco Budde <Budde@tu-harburg.d400.de>  Sat, 10 Jan 1998 11:20:32 +0100

dhelp (0.2.3) unstable; urgency=low

  * postinst
  * cron.weekly -> conffiles
  * dhelp_parse: compiled with option -O

 -- Marco Budde <Budde@tu-harburg.d400.de>  Thu,  8 Jan 1998 20:55:37 +0100

dhelp (0.2.2) unstable; urgency=low

  * dhelp_parse: missing tail bug fixed
  * cron.weekly: bug fix for *.html.gz
 
 -- Marco Budde <Budde@tu-harburg.d400.de>  Tue,  6 Jan 1998 17:59:21 +0100

dhelp (0.2.1) unstable; urgency=low

  * Priority: standard 
  * dhelp_parse -r deletes /var/lib/dhelp/dbase
  * dhelp_parse: better error checking, flag <dtitle>
  * debian/dhelp includes <dtitle> for English, German groups
  * cgiparse binary (from CERN httpd)
  * dsearch (WWW search)
  * dbugreport (report Debian bugs)

 -- Marco Budde <Budde@tu-harburg.d400.de>  Wed, 31 Dec 1997 14:34:59 +0100

dhelp (0.2-1) unstable; urgency=low

  * new dhelp_parse (written in C using db library), much faster

 -- Marco Budde <Budde@tu-harburg.d400.de>  Mon, 29 Dec 1997 18:53:33 +0100

dhelp (0.1-4) experimental; urgency=low

  * some bug fixes from Christian Schwarz

 -- Marco Budde <Budde@tu-harburg.d400.de>  Wed, 23 Jul 1997 18:50:06 +0200 

dhelp (0.1-3) experimental; urgency=low

  * fix title bug in dhelp_index

 -- Marco Budde <Budde@tu-harburg.d400.de>  Mon, 30 Jun 1997 20:40:45 +0200

dhelp (0.1-2) experimental; urgency=low

  * several bug fixes

 -- Marco Budde <Budde@tu-harburg.d400.de>  Sat, 28 Jun 1997 19:20:13 +0200

dhelp (0.1-1) experimental; urgency=low

  * Initial release.

 -- Marco Budde <Budde@tu-harburg.d400.de>  Wed, 25 Jun 1997 13:04:34 +0200


